SSL 3.0 Technology is no longer supported


Your browser is using SSL version 3.0 which is no longer secure. Browsers and websites need to turn off SSLv3 and use more modern security protocols as soon as possible, in order to avoid compromising users’ private information. Mint has made this change to stop supporting SSL 3.0 as of 11/5/2014.

You will need to upgrade to a new browser in order to continue accessing Mint.com


You can read more about this here: https://blog.mozilla.org/security/2014/10/14/the-poodle-attack-and-the-end-of-ssl-3-0/

Search Support:

Search form

Tip: To find out which version of Quicken you are using, open Quicken go to Help menu and select About Quicken.